Bug 663678 - subscription-manager <MODULE> --help suggestion for --proxy option
Summary: subscription-manager <MODULE> --help suggestion for --proxy option
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Adrian Likins
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-12-16 15:41 UTC by John Sefler
Modified: 2011-05-19 13:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:38:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description John Sefler 2010-12-16 15:41:17 UTC
Description of problem:
For each of the subscription-manager modules that use --proxy as an option, the --help looks something like this:

# subscription-manager register --help | grep proxy
  --proxy=PROXY_URL     http proxy url
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication

Notice the "--proxy=PROXY_URL     http proxy url".  This implies to me that one needs to set a value prefixed with "http://", but that is not true. Instead, let's change the help message to something like this:

  --proxy=PROXY_HOSTNAME:PROXY_PORT     http proxy url

This will better match the parameters set in the /etc/rhsm/rhsm.conf file


Version-Release number of selected component (if applicable):
# rpm -qa | grep subscription-manager
subscription-manager-gnome-0.93.3-1.git.34.af3969f.fc14.x86_64
subscription-manager-0.93.3-1.git.34.af3969f.fc14.x86_64

Comment 2 John Sefler 2010-12-17 13:52:34 UTC
While your at it, how about fixing the "passwird" typo in the rhsm.conf...

[root@jsefler-onprem01 ~]# cat /etc/rhsm/rhsm.conf | grep pass
# passwird for basic http proxy auth, if needed
proxy_password=

Comment 3 Adrian Likins 2010-12-17 16:38:40 UTC
commit 0a39e79fe9bb7f8aa7fcf6ff2ed5e96a07d4803e
Author: Adrian Likins <alikins@redhat.com>
Date:   Fri Dec 17 11:31:06 2010 -0500

    639436: make --proxy help blurb more clear about format required

commit 58d7d4fc1a550853f035645552211587815d9106
Author: Adrian Likins <alikins@redhat.com>
Date:   Thu Dec 16 13:39:01 2010 -0500

    fix typo in user_password comment

Comment 4 John Sefler 2010-12-21 20:45:00 UTC
[root@jsefler-onprem01 ~]# rpm -q subscription-manager
subscription-manager-0.93.7-1.git.3.fbdf967.el6.x86_64

[root@jsefler-onprem01 ~]# for m in register unregister subscribe unsubscribe unregister facts identity refresh list ; do  subscription-manager $m --help | grep proxy; done;
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
  --proxy=PROXY_URL     proxy url in the form of proxy_hostname:proxy_port
  --proxyuser=PROXY_USER
                        user for http proxy with basic authentication
  --proxypassword=PROXY_PASSWORD
                        password for http proxy with basic authentication
[root@jsefler-onprem01 ~]# 

LOOKS LIKE THE FIX WAS IN THE DESCRIPTION: proxy url in the form of proxy_hostname:proxy_port

Help message VERIFIED!


[root@jsefler-onprem01 ~]# cat /etc/rhsm/rhsm.conf | grep pass
# password for basic http proxy auth, if needed
proxy_password=

rhsm.conf type VERIFIED!

Comment 5 errata-xmlrpc 2011-05-19 13:38:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.